LambdaWeb / Client / list_web_function_endpoints

list_web_function_endpoints

LambdaWeb.Client.list_web_function_endpoints(**kwargs)

Lists endpoints for a web function. Use pagination to ensure that the operation returns quickly and successfully.

See also: AWS API Documentation

Request Syntax

response = client.list_web_function_endpoints(
    functionName='string',
    filters=[
        {
            'name': 'string',
            'values': [
                'string',
            ]
        },
    ],
    maxResults=123,
    nextToken='string'
)
Parameters:
  • functionName (string) –

    [REQUIRED]

    The web function.

    You can specify either of the following:

    • The function name, for example my-function.

    • The function ARN.

    The length constraint applies only to the full ARN. If you specify only the function name, it is limited to 64 characters in length.

  • filters (list) –

    A list of filters to apply to the results. Supported filter names: authType, autoDeploymentMode, endpointType, state, and updateStatus. If you don’t specify a filter, the operation returns all endpoints for the web function.

    • (dict) –

      A filter to apply when listing resources.

      • name (string) – [REQUIRED]

        The name of the filter field.

      • values (list) – [REQUIRED]

        The values to match for the filter.

        • (string) –

  • maxResults (integer) – The maximum number of results to return in a single call. Minimum value of 1, maximum value of 50. Default is 50.

  • nextToken (string) – The pagination token that’s returned by a previous request to retrieve the next page of results.

Return type:

dict

Returns:

Response Syntax

{
    'endpoints': [
        {
            'endpointArn': 'string',
            'endpointName': 'string',
            'description': 'string',
            'endpointType': 'HomeRegion'|'MultiRegion'|'PerRegion',
            'domainName': 'string',
            'authType': 'ApplicationManaged'|'IamAuth',
            'autoDeploymentMode': 'LatestRevision'|'Disabled',
            'revisionWeights': [
                {
                    'revisionId': 'string',
                    'weight': 123
                },
            ],
            'regions': [
                'string',
            ],
            'scalingConfig': {
                'maxEnvironments': 123
            },
            'throttleConfig': {
                'rateLimit': 123
            },
            'state': 'Pending'|'Active'|'Failed'|'Deleting',
            'stateReason': 'string',
            'updateStatus': 'InProgress'|'Successful'|'Failed',
            'updateStatusReason': 'string',
            'createdAt': datetime(2015, 1, 1),
            'updatedAt': datetime(2015, 1, 1)
        },
    ],
    'nextToken': 'string'
}

Response Structure

  • (dict) –

    Contains the list of web function endpoints.

    • endpoints (list) –

      A list of endpoint summaries for the web function.

      • (dict) –

        A summary of a web function endpoint.

        • endpointArn (string) –

          The Amazon Resource Name (ARN) of the endpoint.

        • endpointName (string) –

          The name of the endpoint.

        • description (string) –

          A description of the endpoint.

        • endpointType (string) –

          The type of the endpoint.

        • domainName (string) –

          The domain name of the endpoint.

        • authType (string) –

          The authorization type for the endpoint.

        • autoDeploymentMode (string) –

          The auto-deployment mode for the endpoint.

        • revisionWeights (list) –

          The revision weights for the endpoint.

          • (dict) –

            Specifies a revision and its traffic weight for an endpoint. You can assign weights to up to two revisions to split traffic for canary or blue-green deployments.

            • revisionId (string) –

              The identifier of the revision.

            • weight (integer) –

              The percentage of traffic to route to this revision. Minimum value of 1, maximum value of 100.

        • regions (list) –

          The list of Regions for the endpoint.

          • (string) –

        • scalingConfig (dict) –

          The scaling configuration for the endpoint. This field is absent if the endpoint has no scaling configuration.

          • maxEnvironments (integer) –

            The maximum number of concurrent execution environments for the endpoint. Minimum value of 2, maximum value of 10000. There is no default value. If you don’t specify a value, the scaling configuration is absent from the response. On an update, omit scalingConfig to keep the current value, or specify an empty object to clear a previously set value.

        • throttleConfig (dict) –

          The throttling configuration for the endpoint. This field is absent if the endpoint has no throttling configuration.

          • rateLimit (integer) –

            The maximum request rate per second for the endpoint. The value must be one of the following supported values: 0, 100, 200, 300, 400, 500, 600, 700, 800, 900, 1000, 2000, 3000, 4000, 5000, 6000, 7000, 8000, 9000, or 10000. The maximum effective value is also bounded by your account-level maximum total rate limit. There is no default value. If you don’t specify a value, the throttling configuration is absent from the response. On an update, omit throttleConfig to keep the current value, or specify an empty object to clear a previously set value.

        • state (string) –

          The current state of the endpoint.

        • stateReason (string) –

          The reason for the current state of the endpoint.

        • updateStatus (string) –

          The status of the most recent update to the endpoint.

        • updateStatusReason (string) –

          The reason for the current update status of the endpoint.

        • createdAt (datetime) –

          The date and time the endpoint was created.

        • updatedAt (datetime) –

          The date and time the endpoint was last updated.

    • nextToken (string) –

      The pagination token that’s included if more results are available. Use this value as the nextToken request parameter in a subsequent call to retrieve the next page of results.

Exceptions

  • LambdaWeb.Client.exceptions.AccessDeniedException

  • LambdaWeb.Client.exceptions.InternalServerException

  • LambdaWeb.Client.exceptions.ValidationException

  • LambdaWeb.Client.exceptions.ResourceNotFoundException

  • LambdaWeb.Client.exceptions.ThrottlingException